summaryrefslogtreecommitdiffstats
path: root/jjb/xci
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/xci')
-rw-r--r--jjb/xci/bifrost-periodic-jobs.yaml4
-rw-r--r--jjb/xci/bifrost-verify-jobs.yaml4
-rw-r--r--jjb/xci/osa-periodic-jobs.yaml6
-rw-r--r--jjb/xci/xci-daily-jobs.yaml323
-rw-r--r--jjb/xci/xci-merge-jobs.yaml20
-rw-r--r--jjb/xci/xci-rtd-jobs.yaml13
-rwxr-xr-xjjb/xci/xci-run-functest.sh12
-rwxr-xr-xjjb/xci/xci-set-scenario.sh4
-rw-r--r--jjb/xci/xci-verify-jobs.yaml28
9 files changed, 294 insertions, 120 deletions
diff --git a/jjb/xci/bifrost-periodic-jobs.yaml b/jjb/xci/bifrost-periodic-jobs.yaml
index fbe2e205a..4c61be193 100644
--- a/jjb/xci/bifrost-periodic-jobs.yaml
+++ b/jjb/xci/bifrost-periodic-jobs.yaml
@@ -82,7 +82,7 @@
- '^xci-functest.*'
- '^bifrost-.*periodic.*'
- '^osa-.*periodic.*'
- block-level: 'NODE'
+ blocking-level: 'NODE'
- logrotate-default
parameters:
@@ -122,6 +122,8 @@
- label:
name: SLAVE_LABEL
default: '{slave-label}'
+ all-nodes: false
+ node-eligibility: 'ignore-offline'
- string:
name: CI_LOOP
default: 'periodic'
diff --git a/jjb/xci/bifrost-verify-jobs.yaml b/jjb/xci/bifrost-verify-jobs.yaml
index 4ca783524..f895cf672 100644
--- a/jjb/xci/bifrost-verify-jobs.yaml
+++ b/jjb/xci/bifrost-verify-jobs.yaml
@@ -80,7 +80,7 @@
- xci-verify-virtual
option: category
- block-level: 'NODE'
+ blocking-level: 'NODE'
parameters:
- string:
@@ -128,6 +128,8 @@
- label:
name: SLAVE_LABEL
default: 'xci-virtual'
+ all-nodes: false
+ node-eligibility: 'ignore-offline'
- string:
name: CI_LOOP
default: 'verify'
diff --git a/jjb/xci/osa-periodic-jobs.yaml b/jjb/xci/osa-periodic-jobs.yaml
index 6c2d165a4..b731bf52b 100644
--- a/jjb/xci/osa-periodic-jobs.yaml
+++ b/jjb/xci/osa-periodic-jobs.yaml
@@ -58,7 +58,7 @@
- 'bifrost-periodic-{distro}-.*'
- 'xci-osa-verify-{distro}-.*'
- 'xci-osa-periodic-{distro}-.*'
- block-level: 'NODE'
+ blocking-level: 'NODE'
- throttle:
max-per-node: 2
max-total: 10
@@ -82,6 +82,8 @@
- label:
name: SLAVE_LABEL
default: 'xci-virtual'
+ all-nodes: false
+ node-eligibility: 'ignore-offline'
- string:
name: OPENSTACK_OSA_VERSION
default: 'master'
@@ -144,7 +146,7 @@
blocking-jobs:
- '.*-bifrost-verify-.*'
- '.*-bifrost-periodic-.*'
- block-level: 'NODE'
+ blocking-level: 'NODE'
parameters:
- project-parameter:
diff --git a/jjb/xci/xci-daily-jobs.yaml b/jjb/xci/xci-daily-jobs.yaml
index c1132ab85..66cbb834f 100644
--- a/jjb/xci/xci-daily-jobs.yaml
+++ b/jjb/xci/xci-daily-jobs.yaml
@@ -1,15 +1,9 @@
---
-# -------------------------------
-# These jobs run on a daily basis and deploy OpenStack
-# using the pinned versions of opnfv/releng, openstack/bifrost
-# and openstack/openstack-ansible. Due to this, there is no
-# version/branch is set/passed to jobs and instead the versions
-# are checked out based on what is configured.
-# -------------------------------
- project:
project: 'releng-xci'
name: 'xci-daily'
+
# -------------------------------
# Branch Anchors
# -------------------------------
@@ -17,55 +11,76 @@
stream: master
opnfv-releng-version: master
gs-pathname: ''
+
# -------------------------------
# Scenarios
# -------------------------------
scenario:
- - 'os-nosdn-nofeature-ha':
- auto-trigger-name: 'daily-trigger-disabled'
- xci-flavor: 'ha'
- 'os-nosdn-nofeature-noha':
- auto-trigger-name: 'daily-trigger-disabled'
- xci-flavor: 'noha'
- - 'os-odl-sfc-ha':
- auto-trigger-name: 'daily-trigger-disabled'
- xci-flavor: 'ha'
+ deploy-scenario: 'os-nosdn-nofeature'
+ installer-type: 'osa'
+ xci-flavor: 'mini'
+ - 'os-nosdn-osm-noha':
+ deploy-scenario: 'os-nosdn-osm'
+ installer-type: 'osa'
+ xci-flavor: 'mini'
+ - 'os-odl-nofeature-noha':
+ deploy-scenario: 'os-odl-nofeature'
+ installer-type: 'osa'
+ xci-flavor: 'mini'
+ - 'os-odl-bgpvpn-noha':
+ deploy-scenario: 'os-odl-bgpvpn'
+ installer-type: 'osa'
+ xci-flavor: 'mini'
- 'os-odl-sfc-noha':
- auto-trigger-name: 'daily-trigger-disabled'
- xci-flavor: 'noha'
+ deploy-scenario: 'os-odl-sfc'
+ installer-type: 'osa'
+ xci-flavor: 'mini'
+ - 'k8-nosdn-nofeature-noha':
+ deploy-scenario: 'k8-nosdn-nofeature'
+ installer-type: 'kubespray'
+ xci-flavor: 'mini'
+ - 'k8-canal-nofeature-noha':
+ deploy-scenario: 'k8-canal-nofeature'
+ installer-type: 'kubespray'
+ xci-flavor: 'mini'
+ - 'k8-calico-nofeature-noha':
+ deploy-scenario: 'k8-calico-nofeature'
+ installer-type: 'kubespray'
+ xci-flavor: 'mini'
+ - 'k8-contiv-nofeature-noha':
+ deploy-scenario: 'k8-contiv-nofeature'
+ installer-type: 'kubespray'
+ xci-flavor: 'mini'
+ - 'k8-flannel-nofeature-noha':
+ deploy-scenario: 'k8-flannel-nofeature'
+ installer-type: 'kubespray'
+ xci-flavor: 'mini'
+ - 'k8-nosdn-istio-noha':
+ deploy-scenario: 'k8-nosdn-istio'
+ installer-type: 'kubespray'
+ xci-flavor: 'mini'
+
# -------------------------------
# XCI PODs
# -------------------------------
pod:
- virtual:
<<: *master
+
# -------------------------------
# Supported Distros
# -------------------------------
distro:
- - 'xenial':
+ - 'ubuntu':
disabled: false
- slave-label: xci-xenial-virtual
- dib-os-release: 'xenial'
- dib-os-element: 'ubuntu-minimal'
- # yamllint disable rule:line-length
- dib-os-packages: 'vlan,vim,less,bridge-utils,sudo,language-pack-en,iputils-ping,rsyslog,curl,python,debootstrap,ifenslave,ifenslave-2.6,lsof,lvm2,tcpdump,nfs-kernel-server,chrony,iptabls'
- # yamllint enable rule:line-length
- extra-dib-elements: 'openssh-server'
- - 'centos7':
- disabled: true
- slave-label: xci-centos7-virtual
- dib-os-release: '7'
- dib-os-element: 'centos7'
- dib-os-packages: 'vim,less,bridge-utils,iputils,rsyslog,curl'
- extra-dib-elements: 'openssh-server'
- - 'suse':
+ slave-label: xci-virtual
+ - 'centos':
disabled: true
- slave-label: xci-suse-virtual
- dib-os-release: '42.3'
- dib-os-element: 'opensuse-minimal'
- dib-os-packages: 'vim,less,bridge-utils,iputils,rsyslog,curl'
- extra-dib-elements: 'openssh-server'
+ slave-label: xci-virtual
+ - 'opensuse':
+ disabled: false
+ slave-label: xci-virtual
# -------------------------------
# Phases
@@ -73,6 +88,8 @@
phase:
- 'deploy'
- 'functest'
+ - 'yardstick'
+
# -------------------------------
# jobs
# -------------------------------
@@ -94,44 +111,76 @@
- build-blocker:
use-build-blocker: true
blocking-jobs:
+ - '^xci-verify.*'
+ - '^xci-merge.*'
- '^xci-os.*'
+ - '^xci-k8.*'
- '^xci-deploy.*'
- '^xci-functest.*'
- '^bifrost-.*periodic.*'
- '^osa-.*periodic.*'
- block-level: 'NODE'
+ blocking-level: 'NODE'
- logrotate-default
+ triggers:
+ - timed: '@midnight'
+
parameters:
- string:
name: DEPLOY_SCENARIO
- default: '{scenario}'
+ default: '{deploy-scenario}'
+ - string:
+ name: INSTALLER_TYPE
+ default: '{installer-type}'
- string:
name: XCI_FLAVOR
default: '{xci-flavor}'
- label:
name: SLAVE_LABEL
default: '{slave-label}'
+ all-nodes: false
+ node-eligibility: 'ignore-offline'
+ - string:
+ name: XCI_DISTRO
+ default: '{distro}'
+ - string:
+ name: FUNCTEST_VERSION
+ default: 'hunter'
+ - string:
+ name: FUNCTEST_MODE
+ default: 'tier'
+ - string:
+ name: FUNCTEST_SUITE_NAME
+ default: 'smoke'
- string:
name: CI_LOOP
default: 'daily'
-
- triggers:
- - '{auto-trigger-name}'
+ - string:
+ name: GIT_BASE
+ default: https://gerrit.opnfv.org/gerrit/$PROJECT
+ description: 'Git URL to use on this Jenkins Slave'
wrappers:
+ - ssh-agent-wrapper
+ - build-timeout:
+ timeout: 240
- fix-workspace-permissions
builders:
- description-setter:
- description: "Built on $NODE_NAME"
+ description: "Scenario: $DEPLOY_SCENARIO | Node: $NODE_NAME"
- trigger-builds:
- project: 'xci-deploy-{pod}-{distro}-daily-{stream}'
current-parameters: false
predefined-parameters: |
DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+ INSTALLER_TYPE=$INSTALLER_TYPE
XCI_FLAVOR=$XCI_FLAVOR
CI_LOOP=$CI_LOOP
+ XCI_DISTRO=$XCI_DISTRO
+ FUNCTEST_VERSION=$FUNCTEST_VERSION
+ FUNCTEST_MODE=$FUNCTEST_MODE
+ FUNCTEST_SUITE_NAME=$FUNCTEST_SUITE_NAME
same-node: true
block: true
- trigger-builds:
@@ -139,8 +188,28 @@
current-parameters: false
predefined-parameters: |
DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+ INSTALLER_TYPE=$INSTALLER_TYPE
+ XCI_FLAVOR=$XCI_FLAVOR
+ CI_LOOP=$CI_LOOP
+ XCI_DISTRO=$XCI_DISTRO
+ FUNCTEST_VERSION=$FUNCTEST_VERSION
+ FUNCTEST_MODE=$FUNCTEST_MODE
+ FUNCTEST_SUITE_NAME=$FUNCTEST_SUITE_NAME
+ same-node: true
+ block: true
+ block-thresholds:
+ build-step-failure-threshold: 'never'
+ failure-threshold: 'never'
+ unstable-threshold: 'FAILURE'
+ - trigger-builds:
+ - project: 'xci-yardstick-{pod}-{distro}-daily-{stream}'
+ current-parameters: false
+ predefined-parameters: |
+ DEPLOY_SCENARIO=$DEPLOY_SCENARIO
+ INSTALLER_TYPE=$INSTALLER_TYPE
XCI_FLAVOR=$XCI_FLAVOR
CI_LOOP=$CI_LOOP
+ XCI_DISTRO=$XCI_DISTRO
same-node: true
block: true
block-thresholds:
@@ -150,42 +219,37 @@
publishers:
# yamllint disable rule:line-length
- - email:
- recipients: fatih.degirmenci@ericsson.com yroblamo@redhat.com mchandras@suse.de jack.morgan@intel.com julienjut@gmail.com
# yamllint enable rule:line-length
- email-jenkins-admins-on-failure
- - postbuildscript:
- builders:
- - role: BOTH
- build-on:
- - ABORTED
- - FAILURE
- - NOT_BUILT
- - SUCCESS
- - UNSTABLE
- build-steps:
- - shell: !include-raw: ./xci-cleanup.sh
- mark-unstable-if-failed: true
- job-template:
name: 'xci-{phase}-{pod}-{distro}-daily-{stream}'
- disabled: '{obj:disabled}'
+ disabled: false
- concurrent: false
+ concurrent: true
properties:
- build-blocker:
use-build-blocker: true
blocking-jobs:
+ - '^xci-verify.*'
+ - '^xci-merge.*'
- '^xci-deploy.*'
- '^xci-functest.*'
- '^bifrost-.*periodic.*'
- '^osa-.*periodic.*'
- block-level: 'NODE'
+ blocking-level: 'NODE'
+ - throttle:
+ enabled: true
+ max-per-node: 1
+ option: 'project'
- logrotate-default
wrappers:
+ - ssh-agent-wrapper
+ - build-timeout:
+ timeout: 240
- fix-workspace-permissions
scm:
@@ -196,76 +260,125 @@
project: '{project}'
branch: '{opnfv-releng-version}'
- string:
- name: GIT_BASE
- default: https://gerrit.opnfv.org/gerrit/$PROJECT
- - string:
name: DEPLOY_SCENARIO
- default: 'os-nosdn-nofeature-ha'
- - string:
- name: XCI_FLAVOR
- default: 'ha'
- - string:
- name: DISTRO
- default: '{distro}'
+ default: 'os-nosdn-nofeature-noha'
- string:
- name: DIB_OS_RELEASE
- default: '{dib-os-release}'
- - string:
- name: DIB_OS_ELEMENT
- default: '{dib-os-element}'
- - string:
- name: DIB_OS_PACKAGES
- default: '{dib-os-packages}'
+ name: INSTALLER_TYPE
+ default: 'osa'
- string:
- name: EXTRA_DIB_ELEMENTS
- default: '{extra-dib-elements}'
+ name: XCI_FLAVOR
+ default: 'mini'
- string:
- name: CLEAN_DIB_IMAGES
- default: 'true'
+ name: XCI_DISTRO
+ default: 'ubuntu'
- label:
name: SLAVE_LABEL
default: '{slave-label}'
+ all-nodes: false
+ node-eligibility: 'ignore-offline'
- string:
- name: CI_LOOP
- default: 'daily'
- - string:
- name: INSTALLER_TYPE
- default: 'osa'
+ name: FUNCTEST_VERSION
+ default: 'hunter'
- string:
name: FUNCTEST_MODE
- default: 'daily'
+ default: 'tier'
- string:
name: FUNCTEST_SUITE_NAME
+ default: 'smoke'
+ - string:
+ name: CI_LOOP
default: 'daily'
- description: "Daily suite name to run"
+ - string:
+ name: GIT_BASE
+ default: https://gerrit.opnfv.org/gerrit/$PROJECT
builders:
- description-setter:
- description: "Built on $NODE_NAME - Scenario: $DEPLOY_SCENARIO"
- - 'xci-{phase}-builder'
+ description: "Scenario: $DEPLOY_SCENARIO | Node: $NODE_NAME"
+ - 'xci-daily-{phase}-macro'
# --------------------------
# builder macros
# --------------------------
+# These need to be properly fixed once the basic deployment, functest, and
+# yardstick jobs are working outside of clean vm.
+# One of the ugly fixes is moving test preparation step into the
+# deployment job itself since test preparation requires some of the
+# things from deployment job. With clean VM, this wasn't an issue
+# since everything was on clean VM. When we move things out of clean
+# VM, things are done in workspaces of the jobs that are different.
+#
+# Apart from these things, we will need to go through the scripts
+# used for verify jobs and make them updated in order to be able to
+# use them for jobs that don't use clean VM.
- builder:
- name: xci-deploy-builder
+ name: 'xci-daily-deploy-macro'
builders:
- - shell:
- !include-raw: ./xci-deploy.sh
+ - shell: |
+ #!/bin/bash
+ set -o errexit
+ set -o pipefail
+
+ echo "Cleaning the leftovers from the earlier run"
+ echo "---------------------------------------------------------------------------------"
+ for vm in $(sudo virsh list --all --name | grep -v xci_vm); do
+ echo "Removing $vm"
+ sudo virsh destroy $vm > /dev/null 2>&1 || true
+ sudo virsh undefine $vm > /dev/null 2>&1 || true
+ sudo killall -r vbmc > /dev/null 2>&1 || true
+ sudo rm -rf /root/.vbmc > /dev/null 2>&1 || true
+ done
+ echo "---------------------------------------------------------------------------------"
+
+ cd $WORKSPACE/xci && ./xci-deploy.sh
+
+ echo "Prepare OPNFV VM for Tests"
+ echo "---------------------------------------------------------------------------------"
+ export XCI_PATH=$WORKSPACE
+ export XCI_VENV=${XCI_PATH}/venv
+ source $XCI_VENV/bin/activate
+ while read var; do
+ declare -x "\${var}" 2>/dev/null
+ echo $var
+ done < ${XCI_PATH}/.cache/xci.env && cd ${XCI_PATH}/xci && \
+ ansible-playbook -i playbooks/dynamic_inventory.py playbooks/prepare-tests.yml
+ ssh root@192.168.122.2 "/root/prepare-tests.sh"
+ echo "---------------------------------------------------------------------------------"
- builder:
- name: xci-functest-builder
+ name: 'xci-daily-functest-macro'
builders:
- shell: |
#!/bin/bash
+ set -o pipefail
+
+ ssh root@192.168.122.2 "/root/run-functest.sh"
+ functest_exit=$?
+
+ case ${DEPLOY_SCENARIO[0]} in
+ os-*)
+ FUNCTEST_LOG=/root/functest-results/functest.log
+ ;;
+ k8-*)
+ FUNCTEST_LOG=/root/functest-results/functest-kubernetes.log
+ ;;
+ *)
+ echo "Unable to determine the installer. Exiting!"
+ exit $functest_exit
+ ;;
+ esac
- echo "Hello World!"
+ echo "Functest log"
+ echo "---------------------------------------------------------------------------------"
+ ssh root@192.168.122.2 "cat $FUNCTEST_LOG"
+ echo "---------------------------------------------------------------------------------"
+ exit ${functest_exit}
+- builder:
+ name: 'xci-daily-yardstick-macro'
+ builders:
+ - shell: |
+ #!/bin/bash
+ set -o errexit
+ set -o pipefail
-# this will be enabled once the xci is prepared
-# - builder:
-# name: xci-functest-builder
-# builders:
-# - shell:
-# !include-raw:
-# - ../../utils/fetch_os_creds.sh
-# - ../functest/functest-alpine.sh
+ ssh root@192.168.122.2 "/root/run-yardstick.sh"
diff --git a/jjb/xci/xci-merge-jobs.yaml b/jjb/xci/xci-merge-jobs.yaml
index cb438ad5d..c468be6d1 100644
--- a/jjb/xci/xci-merge-jobs.yaml
+++ b/jjb/xci/xci-merge-jobs.yaml
@@ -108,6 +108,8 @@
- label:
name: SLAVE_LABEL
default: 'xci-virtual'
+ all-nodes: false
+ node-eligibility: 'ignore-offline'
- string:
name: CI_LOOP
default: 'merge'
@@ -223,10 +225,12 @@
blocking-jobs:
- 'xci-verify-{distro}-.*'
- 'xci-merge-{distro}-.*'
+ - 'xci-os.*'
+ - 'xci-k8.*'
- 'openstack-bifrost-verify-{distro}-.*'
- 'xci-osa-verify-{distro}-.*'
- 'xci-osa-periodic-{distro}-.*'
- block-level: 'NODE'
+ blocking-level: 'NODE'
- throttle:
max-per-node: 1
max-total: 3
@@ -250,10 +254,15 @@
- label:
name: SLAVE_LABEL
default: 'xci-virtual'
+ all-nodes: false
+ node-eligibility: 'ignore-offline'
- string:
name: CI_LOOP
default: 'merge'
- string:
+ name: FUNCTEST_VERSION
+ default: 'hunter'
+ - string:
name: FUNCTEST_MODE
default: 'tier'
- string:
@@ -290,6 +299,9 @@
GERRIT_REFSPEC=$GERRIT_REFSPEC
GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
GERRIT_CHANGE_COMMIT_MESSAGE=$GERRIT_CHANGE_COMMIT_MESSAGE
+ FUNCTEST_VERSION=$FUNCTEST_VERSION
+ FUNCTEST_MODE=$FUNCTEST_MODE
+ FUNCTEST_SUITE_NAME=$FUNCTEST_SUITE_NAME
node-parameters: true
kill-phase-on: '{kill-phase-on}'
abort-all-job: '{abort-all-job}'
@@ -308,6 +320,7 @@
GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
GERRIT_CHANGE_COMMIT_MESSAGE=$GERRIT_CHANGE_COMMIT_MESSAGE
CI_LOOP=$CI_LOOP
+ FUNCTEST_VERSION=$FUNCTEST_VERSION
FUNCTEST_MODE=$FUNCTEST_MODE
FUNCTEST_SUITE_NAME=$FUNCTEST_SUITE_NAME
node-parameters: true
@@ -344,7 +357,7 @@
- '.*-bifrost-periodic-.*'
- 'osa-verify-.*'
- 'osa-periodic-.*'
- block-level: 'NODE'
+ blocking-level: 'NODE'
parameters:
- string:
@@ -357,6 +370,9 @@
name: CI_LOOP
default: 'merge'
- string:
+ name: FUNCTEST_VERSION
+ default: 'hunter'
+ - string:
name: FUNCTEST_MODE
default: 'tier'
- string:
diff --git a/jjb/xci/xci-rtd-jobs.yaml b/jjb/xci/xci-rtd-jobs.yaml
new file mode 100644
index 000000000..d21aad5a0
--- /dev/null
+++ b/jjb/xci/xci-rtd-jobs.yaml
@@ -0,0 +1,13 @@
+---
+- project:
+ name: releng-xci-rtd
+ project: releng-xci
+ project-name: releng-xci
+
+ gerrit-skip-vote: true
+ project-pattern: 'releng-xci'
+ rtd-build-url: 'https://readthedocs.org/api/v2/webhook/opnfv-releng-xci/47389/'
+ rtd-token: '7dbc774ea9a625296d2e973aff3e79af26b15d4d'
+
+ jobs:
+ - '{project-name}-rtd-jobs'
diff --git a/jjb/xci/xci-run-functest.sh b/jjb/xci/xci-run-functest.sh
index f46abe043..992194ca3 100755
--- a/jjb/xci/xci-run-functest.sh
+++ b/jjb/xci/xci-run-functest.sh
@@ -47,18 +47,22 @@ fi
export XCI_PATH=/home/devuser/releng-xci
export XCI_VENV=${XCI_PATH}/venv
-ssh -F $HOME/.ssh/${DISTRO}-xci-vm-config ${DISTRO}_xci_vm "source $XCI_VENV/bin/activate; while read var; do declare -x \"\${var}\" 2>/dev/null; done < ${XCI_PATH}/.cache/xci.env && cd releng-xci/xci && ansible-playbook -i playbooks/dynamic_inventory.py playbooks/prepare-functest.yml"
-echo "Running functest"
+ssh -F $HOME/.ssh/${DISTRO}-xci-vm-config ${DISTRO}_xci_vm "source $XCI_VENV/bin/activate; \
+ while read var; do declare -x \"\${var}\" 2>/dev/null; done < ${XCI_PATH}/.cache/xci.env && \
+ cd releng-xci/xci && ansible-playbook -i playbooks/dynamic_inventory.py playbooks/prepare-tests.yml"
+echo "Prepare OPNFV VM for Tests"
+ssh -F $HOME/.ssh/${DISTRO}-xci-vm-config ${DISTRO}_xci_vm_opnfv "/root/prepare-tests.sh"
+echo "Running Functest"
ssh -F $HOME/.ssh/${DISTRO}-xci-vm-config ${DISTRO}_xci_vm_opnfv "/root/run-functest.sh"
# Record exit code
functest_exit=$?
case ${DEPLOY_SCENARIO[0]} in
os-*)
- FUNCTEST_LOG=/root/results/functest.log
+ FUNCTEST_LOG=/root/functest-results/functest.log
;;
k8-*)
- FUNCTEST_LOG=/root/results/functest-kubernetes.log
+ FUNCTEST_LOG=/root/functest-results/functest-kubernetes.log
;;
*)
echo "Unable to determine the installer. Exiting!"
diff --git a/jjb/xci/xci-set-scenario.sh b/jjb/xci/xci-set-scenario.sh
index 7bc45f1c2..59c1ebf6e 100755
--- a/jjb/xci/xci-set-scenario.sh
+++ b/jjb/xci/xci-set-scenario.sh
@@ -8,6 +8,7 @@
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
set -o pipefail
+set -x
#----------------------------------------------------------------------
# This script is used by CI and executed by Jenkins jobs.
@@ -166,9 +167,10 @@ WORK_DIRECTORY=/tmp/$GERRIT_CHANGE_NUMBER/$DISTRO
if [[ $GERRIT_PROJECT == "releng-xci" ]]; then
determine_default_scenario
+else
+ determine_scenario
fi
override_scenario
-determine_scenario
# ensure single scenario is impacted
if [[ $(IFS=$'\n' echo ${DEPLOY_SCENARIO[@]} | wc -w) != 1 ]]; then
diff --git a/jjb/xci/xci-verify-jobs.yaml b/jjb/xci/xci-verify-jobs.yaml
index 2230cd56d..9edf55597 100644
--- a/jjb/xci/xci-verify-jobs.yaml
+++ b/jjb/xci/xci-verify-jobs.yaml
@@ -20,7 +20,7 @@
unstable: false
notbuilt: false
- centos:
- disabled: false
+ disabled: true
successful: true
failed: true
unstable: true
@@ -67,10 +67,12 @@
blocking-jobs:
- 'xci-verify-{distro}-.*'
- 'xci-merge-{distro}-.*'
+ - 'xci-os-.*'
+ - 'xci-k8-.*'
- 'openstack-bifrost-verify-{distro}-.*'
- 'xci-osa-verify-{distro}-.*'
- 'xci-osa-periodic-{distro}-.*'
- block-level: 'NODE'
+ blocking-level: 'NODE'
- throttle:
max-per-node: 2
max-total: 10
@@ -138,6 +140,8 @@
- label:
name: SLAVE_LABEL
default: 'xci-virtual'
+ all-nodes: false
+ node-eligibility: 'ignore-offline'
- string:
name: DISTRO
default: '{distro}'
@@ -148,6 +152,9 @@
name: CI_LOOP
default: 'verify'
- string:
+ name: FUNCTEST_VERSION
+ default: 'hunter'
+ - string:
name: FUNCTEST_MODE
default: 'tier'
- string:
@@ -159,6 +166,7 @@
description: 'Git URL to use on this Jenkins Slave'
builders:
+ - 'xci-verify-clean-vm-macro'
- 'xci-verify-set-scenario-macro'
- inject:
properties-file: "/tmp/$GERRIT_CHANGE_NUMBER/$DISTRO/scenario.properties"
@@ -179,6 +187,9 @@
GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
GERRIT_CHANGE_COMMIT_MESSAGE=$GERRIT_CHANGE_COMMIT_MESSAGE
CI_LOOP=$CI_LOOP
+ FUNCTEST_VERSION=$FUNCTEST_VERSION
+ FUNCTEST_MODE=$FUNCTEST_MODE
+ FUNCTEST_SUITE_NAME=$FUNCTEST_SUITE_NAME
node-parameters: true
kill-phase-on: FAILURE
abort-all-job: true
@@ -197,6 +208,7 @@
GERRIT_CHANGE_NUMBER=$GERRIT_CHANGE_NUMBER
GERRIT_CHANGE_COMMIT_MESSAGE=$GERRIT_CHANGE_COMMIT_MESSAGE
CI_LOOP=$CI_LOOP
+ FUNCTEST_VERSION=$FUNCTEST_VERSION
FUNCTEST_MODE=$FUNCTEST_MODE
FUNCTEST_SUITE_NAME=$FUNCTEST_SUITE_NAME
node-parameters: true
@@ -209,7 +221,6 @@
- role: BOTH
build-on:
- ABORTED
- - FAILURE
- NOT_BUILT
- SUCCESS
- UNSTABLE
@@ -234,7 +245,7 @@
- '.*-bifrost-periodic-.*'
- 'osa-verify-.*'
- 'osa-periodic-.*'
- block-level: 'NODE'
+ blocking-level: 'NODE'
parameters:
- string:
@@ -247,6 +258,9 @@
name: CI_LOOP
default: 'verify'
- string:
+ name: FUNCTEST_VERSION
+ default: 'hunter'
+ - string:
name: FUNCTEST_MODE
default: 'tier'
- string:
@@ -286,6 +300,12 @@
# builder macros
# -------------------------------
- builder:
+ name: 'xci-verify-clean-vm-macro'
+ builders:
+ - shell:
+ !include-raw: ./xci-cleanup.sh
+
+- builder:
name: 'xci-verify-set-scenario-macro'
builders:
- shell: